package com.gree.mall.manager.commonmapper.workorder;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.workorder.DispatchCherVO;
import com.gree.mall.manager.bean.workorder.DispatchVO;
import com.gree.mall.manager.bean.workorder.IncreVO;
import com.gree.mall.manager.bean.workorder.WebsitDispatchVO;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface IncreMapper {

    @SqlParser(filter = true)
    IPage<IncreVO> list(IPage page, @Param("ex") ZfireParamBean zfireParam, @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    IPage<DispatchVO> listDispatch(Page page, @Param("ex") ZfireParamBean zfireParam, @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    IPage<WebsitDispatchVO> listDispatchWebsit(Page page, @Param("ex") ZfireParamBean zfireParamBean, @Param("adminCompanyIds") List<String> adminCompanyIds);


    @SqlParser(filter = true)
    List<DispatchCherVO> pList(@Param("pId") String pId,
                               @Param("cityCode") String cityCode,
                               @Param("areaCode") String areaCode,
                               @Param("streetCode") String streetCode,
                               @Param("dictCode") String dictCode,
                               @Param("orderSmallId") String orderSmallId,
                               @Param("categoryId") String categoryId,
                               @Param("orderSourceId") String orderSourceId,
                                @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> cList(
            @Param("pId") String pId,
            @Param("cityCode") String cityCode,
            @Param("areaCode") String areaCode,
            @Param("streetCode") String streetCode,
            @Param("dictCode") String dictCode,
            @Param("orderSmallId") String orderSmallId,
            @Param("categoryId") String categoryId,
            @Param("orderSourceId") String orderSourceId,
            @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> aList(  @Param("pId") String pId,
                                 @Param("cityCode") String cityCode,
                                 @Param("areaCode") String areaCode,
                                 @Param("streetCode") String streetCode,
                                 @Param("dictCode") String dictCode,
                                 @Param("orderSmallId") String orderSmallId,
                                 @Param("categoryId") String categoryId,
                                 @Param("orderSourceId") String orderSourceId,
                                 @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> sList(@Param("pId") String pId,
                               @Param("cityCode") String cityCode,
                               @Param("areaCode") String areaCode,
                               @Param("streetCode") String streetCode,
                               @Param("dictCode") String dictCode,
                               @Param("orderSmallId") String orderSmallId,
                               @Param("categoryId") String categoryId,
                               @Param("orderSourceId") String orderSourceId,
                               @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> channel(
            @Param("pId") String pId,
            @Param("cityCode") String cityCode,
            @Param("areaCode") String areaCode,
            @Param("streetCode") String streetCode,
            @Param("dictCode") String dictCode,
            @Param("orderSmallId") String orderSmallId,
            @Param("categoryId") String categoryId,
            @Param("orderSourceId") String orderSourceId,
            @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> smallList(  @Param("pId") String pId,
                                     @Param("cityCode") String cityCode,
                                     @Param("areaCode") String areaCode,
                                     @Param("streetCode") String streetCode,
                                     @Param("dictCode") String dictCode,
                                     @Param("orderSmallId") String orderSmallId,
                                     @Param("categoryId") String categoryId,
                                     @Param("orderSourceId") String orderSourceId,
                                     @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> categoryList( @Param("pId") String pId,
                                       @Param("cityCode") String cityCode,
                                       @Param("areaCode") String areaCode,
                                       @Param("streetCode") String streetCode,
                                       @Param("dictCode") String dictCode,
                                       @Param("orderSmallId") String orderSmallId,
                                       @Param("categoryId") String categoryId,
                                       @Param("orderSourceId") String orderSourceId,
                                       @Param("adminCompanyIds") List<String> adminCompanyIds);

    @SqlParser(filter = true)
    List<DispatchCherVO> sourceList(
            @Param("pId") String pId,
            @Param("cityCode") String cityCode,
            @Param("areaCode") String areaCode,
            @Param("streetCode") String streetCode,
            @Param("dictCode") String dictCode,
            @Param("orderSmallId") String orderSmallId,
            @Param("categoryId") String categoryId,
            @Param("orderSourceId") String orderSourceId,
            @Param("adminCompanyIds") List<String> adminCompanyIds);
}
